compat: add net/dst.h stub for Linux 3.1 and older